pspp (1.2.0-2ubuntu2) eoan; urgency=medium

  * Build-depend on texlive-plain-generic instead of obsolete texlive-
    generic-recommended.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 01 Oct 2019 14:43:23 -0700

pspp (1.2.0-2ubuntu1) disco; urgency=medium

  * Build using -O2 on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Jan 2019 18:49:31 +0100

pspp (1.2.0-2build1) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 20:03:26 +0000

pspp (1.2.0-2) unstable; urgency=low

  * Fixed regression error in segmentation

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Mon, 26 Nov 2018 08:50:21 +0200

pspp (1.2.0-1) unstable; urgency=low

  * New upstream release 1.2.0
  * New experimental command SAVE DATA COLLECTION to save MDD files.
  * MTIME and YMDHMS variable formats now supported.
  * Build changes:
    - zlib is now a required dependency.  (Previously it was optional.)
    - Gtk+3.18.0 or later must now be used when building.
    - The code implementing the sheet rendering has been removed.  Instead we
      use a third party library: spread-sheet-widget.
  * The "NOMISSING" keyword when generating syntax for piecharts in the
    frequencies command was omitted.  This has been corrected.
  * Regresssion fixed.
    Closes: #909857

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Tue, 6 Nov 2018 08:50:21 +0200

pspp (1.0.1-1) unstable; urgency=low

  * New upstream release 1.0.1
  * Bugfixes for CVE-2017-12958,
	         CVE-2017-12959,
                 CVE-2017-12960 and
                 CVE-2017-12961.

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Sun, 27 Aug 2017 08:50:21 +0200

pspp (1.0.0-1) unstable; urgency=low

  * New upstream release 1.0.0
  * The REGRESSION command now has a /ORIGIN subcommand to perform
    regression through the origin.
  * The FACTOR command can now analyse matrix files prepared with MATRIX DATA.
  * The FACTOR command can now print the anti-image matrices.
  * The MATRIX DATA command has been added.
  * Some inappropriate properties in selection dialogs have been corrected.
  * A bug which could cause the HTML driver to go into a tight loop
    has been fixed.
  * An error in the FREQUENCIES procedure, where the word "Mean" was
    printed when "Variance" was appropriate has been fixed.
  * The ncurses library is no longer required or used.
  * A bug where the Mann-Whitney test would give misleading results
    if run on multiple variables and MISSING=ANALAYSIS was specified
    has been fixed.
  * Gtk+3.14.5 or later must now be used when building.
  * Graphical user interface changes:
     ** There is a new menu: Edit|Options
     ** The Non Parametric Statistics Menu
        has a new item: "K Independent Samples".
     ** Dialog boxes can now be canceled using the <Escape> key.
  * The AUTORECODE command now accepts an optional / before INTO.
  * The short form of the VECTOR command can now create string variables.
  * Bug fixes, including fixes for CVE-2017-10791 and CVE-2017-10792.
    Closes: #866890
  * Updated gnulib version which can be compiled with GCC7
    Closes: #853623

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Sun, 13 Aug 2017 08:50:21 +0200

pspp (0.10.2-2) unstable; urgency=low

  * fixes a regression bug where the initialization of the psql server fails
    Fixed with patch psql-regression.patch
    Closes: #850457
    Closes: #863933

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Mon, 26 Jun 2017 15:50:21 +0200

pspp (0.10.2-1) unstable; urgency=low

  * New upstream release 0.10.2
  * CROSSTABS: Implement COUNT subcommand to round case or cell weights.
  * scatterplot: changed colorscheme - first color is black
  * help: start html help via browser / make it work on osx and windows
  * several bug fixes
  * reintroduced hurd-i386 postgresql special treatment

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Wed, 14 Sep 2016 12:16:21 +0200

pspp (0.10.1-2) unstable; urgency=low

  * Removed armhf special gcc optimization option in rules
  * Removed hurd-i386 postgresql special treatment in control

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Mon, 04 Apr 2016 12:39:28 +0200

pspp (0.10.1-1) unstable; urgency=low

  * New upstream releae 0.10.1
  * fixed a bug where certain dialog boxes could not be properly populated
  * various commands hardened against invalid syntax
  * translation updates
  * removed debian patch formatstring.patch which is included upstream

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Sun, 03 Apr 2016 10:33:42 +0200

pspp (0.10.0-1) unstable; urgency=low

  * New upstream release 0.10.0
  * Migrated from gtk2 to gtk3
  * Graphs menu for the GRAPH command
  * pspp-convert can convert encrypted syntax files
  * New commands: SORT VARIABLES, REPLACE, STRUNC, MEDIAN
  * QUICK CLUSTER with /PRINT subcommand
  * Debian unstable now uses automake v15. Removed texi-vers.patch as the fix is
    contained in automake. Closes: Bug#759102
  * Removed render.patch as this is fixed upstream.

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Mon, 28 Mar 2016 12:36:08 +0200

pspp (0.8.5-5) unstable; urgency=low

  * changed libgsl dependency from libgsl0-dev to libgsl-dev (version 2) to fix
    debian GSL transition bug. Closes: Bug#804498.
  * removed pspp.lintian override postrm

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Fri, 13 Nov 2015 08:06:00 +0200

pspp (0.8.5-4) unstable; urgency=low

  * added emacsen-compat file to install pspp emacs mode without error
    messages
  * added emacsen-common as dependency as required by debian-emacs-policy
  * removed debian/pspp.manpages as all manpages are now installed directly

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Fri, 26 Jun 2015 18:06:00 +0200

pspp (0.8.5-3) unstable; urgency=low

  * debian/patches/render.patch modified to fix the regression failure
    on s390x and ppc64. Also the pdf export bug via gui described in
    https://savannah.gnu.org/bugs/?45272 is fixed.

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Wed, 24 Jun 2015 13:06:00 +0200

pspp (0.8.5-2) unstable; urgency=low

  * debian/patches/render.patch added to fix problem
    https://savannah.gnu.org/bugs/?45272 which is maybe
    the reason for the s390 regression failure

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Mon, 22 Jun 2015 13:06:00 +0200

pspp (0.8.5-1) unstable; urgency=low

  * New upstream release 0.8.5
  * The FREQUENCIES and CROSSTABS commands can now generate barcharts.
  * The FACTOR command can now perform PROMAX rotations.
  * SPSS/PC+ system files are now supported on GET and other commands
    that read SPSS system files.  The pspp-convert program can now read
    SPSS/PC+ system files.  Writing the obsolete SPSS/PC+ system file
    format is not supported.
  * SYSFILE INFO can now read SPSS/PC+ system files and SPSS portable
    files.
  * FREQUENCIES: A bug was fixed where an assertion failure occured
    when an empty dataset was presented.
  * The GRAPH command is now available.  Initially it supports
    scatterplots and histograms.
  * The RND operator in expressions now supports additional operands
    for rounding to values other than integers and to indicate a level
    of rounding fuzz.  The default rounding fuzz may now be controlled
    and displayed with SET FUZZBITS and SHOW FUZZBITS, respectively.
  * patch debian/patches/render-test.patch removed (fixed)
  * patch debian/patches/fix_paths_in_manpage removed (fixed)
  * debian/patches/texi-vers.patch is still applied because the fixed
    autotools version is not in debian yet

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Sat, 20 Jun 2015 16:35:44 +0200

pspp (0.8.4-1) unstable; urgency=low

  * New upstream release 0.8.4
  * Formatting of SYSFILE INFO output was made easier to read.
  * Bug fixes in upstream, including the following notable ones:
  * FREQUENCIES works properly for string variables.  (This bug was
    introduced in 0.8.2.)
  * CROSSTABS now correctly computes all of the measures that it
    offers.  Some measures have been removed because they were not
    computed correctly.
  * The NPAR TESTS calculation of significance for the RUNS
    subcommand has been corrected.
  * Planned comparisons in ONEWAY ANOVA now correctly handle negative
    T-values.
  * Conformance fixes to Open Document output format.
  * In the debian package the following patches are removed
  * debian/patches/test1039fix.patch removed because it is fixed upstream
    fixes https://bugs.debian.org/720865
  * debian/patches/texinfo.diff removed because it is fixed upstream
    fixes https://bugs.debian.org/758539
  * debian/patches/u8istream.patch removed because it is fixed upstream
    fixes https://bugs.debian.org/760841
  * The following patches are still applied
  * debian/patches/texi-vers.patch as this is a workaround for a bug in automake
    see https://bugs.debian.org/759102
  * debian/patches/fix_paths_in_manpage
    this is an adaption to debian
  * The following NEW patch is introduced
  * debian/patches/render-test.patch fixes a security error which is shown due
    to the debian compiler warning settings. This stops the build in debian.

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Sun, 28 Sep 2014 20:35:44 +0200

pspp (0.8.3-6) unstable; urgency=low

  * debian/patches/texi-vers.patch: This patch was removed due to a mistake
    in the previous version and is now back. So this is bugfix.

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Wed, 10 Sep 2014 20:35:44 +0200

pspp (0.8.3-5) unstable; urgency=low

  * debian/patches/u8istream.patch: This patch fixes a bug which
    showed up in regression on kfreebsd. The bug description is here:
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=760841
    The bug is already fixed upstream.

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Tue, 09 Sep 2014 20:48:44 +0200

pspp (0.8.3-4) unstable; urgency=low

  * debian/source/options: added extend-diff-ignore such that debuild
    can be used several times and is not disturbed by differences between
    the source package and modified files like doc/pspp.xml
  * debian/patches/texi-vers.patch: This patch is a workaround for
    the parallel build problem due to vti.tmp file. The problem is
    described here: https://savannah.gnu.org/bugs/?43029
  * debian/rules: parallel build is enabled

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Wed, 20 Aug 2014 17:30:44 +0200

pspp (0.8.3-3) unstable; urgency=low

  * debian/rules: added autoreconf as proposed by Breno Leitao
    see: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=758539
    for the ppc64el architecture
  * debian/patches/texinfo.diff: fix problem with updated texinfo.tex
    When using autoreconf, the build-aux/texinfo.tex is updated. Fixed
    a problem with statistics.texi compatibility.
  * debian/rules: fixed testsuite.log dump to logfile
    The testsuite was run twice. I moved it to dh_auto_test section

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Tue, 19 Aug 2014 17:30:44 +0200

pspp (0.8.3-2) unstable; urgency=low

  * debian/rules: Fixed bug in previous update

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Mon, 18 Aug 2014 09:30:44 +0200

pspp (0.8.3-1.3) unstable; urgency=low

  * debian/rules: Disable compiler optimization on armhf because tests
    that use the MEANS procedure segfault with a null pointer dereference
    with GCC 4.9.1, in a way that doesn't look like a program bug.

 -- Ben Pfaff <pfaffben@debian.org>  Sun, 17 Aug 2014 12:26:12 -0700

pspp (0.8.3-1.2) unstable; urgency=low

  * debian/rules: Fix bug in previous update.

 -- Ben Pfaff <pfaffben@debian.org>  Sat, 16 Aug 2014 14:08:30 -0700

pspp (0.8.3-1.1) unstable; urgency=low

  * debian/rules: Dump testsuite.log to stdout on failure to make
    autobuilder test failures easier to debug.

 -- Ben Pfaff <pfaffben@debian.org>  Sat, 16 Aug 2014 09:41:42 -0700

pspp (0.8.3-1) unstable; urgency=low

  * upgrade to upstream version 0.8.3
  * debian/patches/test1039fix.patch: Add patch to fix a test failure in sid.

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Thu, 07 Aug 2014 03:04:58 +0200

pspp (0.7.9+git20120620-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/699263: Add patch from upstream to fix test suite failures.
    Since the default epoch depends on the current year, the test suite broke
    on January 1, 2013. The patch adds the epoch to the test suite. (Closes:
    #699263)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 05 Feb 2013 00:25:38 +0100

pspp (0.7.9+git20120620-1) unstable; urgency=low

  * New upstream snapshot, fixes non-ASCII import issue (Closes: #676371).

 -- bojo42 <bojo42@gmail.com>  Sun, 24 Jun 2012 23:57:16 +0200

pspp (0.7.9+git20120319-1) unstable; urgency=low

  * New upstream snapshot, fix testsuite errors on Ubuntu precise i386.

 -- bojo42 <bojo42@gmail.com>  Mon, 26 Mar 2012 22:08:23 +0200

pspp (0.7.9+git20120311-1) unstable; urgency=low

  * New upstream snapshot, fix FTBFS on hurd-i386.
  * debian/copyright: add details about lib/gtk-contrib/*

 -- bojo42 <bojo42@gmail.com>  Mon, 12 Mar 2012 14:29:25 +0100

pspp (0.7.9+git20120303-1) unstable; urgency=low

  * New upstream snapshot, should fix outstanding testsuite failures.
  * debian/control: no Build-Depends for postgresql on hurd-i386

 -- bojo42 <bojo42@gmail.com>  Mon, 05 Mar 2012 01:23:43 +0100

pspp (0.7.9+git20120229-1) unstable; urgency=low

  * New upstream snapshot (Closes: #660854)
  * debian/rules:
    - emit non-zero exit code on testsuite errors in override_dh_auto_test
    - remove possible pregenerated icon cache (Closes: #661573)
  * debian/control: bump Standards-Version to current policy

 -- bojo42 <bojo42@gmail.com>  Wed, 29 Feb 2012 20:15:20 +0100

pspp (0.7.9+git20120219-1) unstable; urgency=low

  * New upstream snapshot (should fix some issues on big-endian)
  * debian/rules: post testsuite.log to build log on failures & typofixes
  * debian/control: reorganize Build-Depends for better overview

 -- bojo42 <bojo42@gmail.com>  Mon, 20 Feb 2012 16:10:46 +0100

pspp (0.7.9+git20120214-1) unstable; urgency=low

  * New maintainer (Closes: #636414)
  * New upstream development snapshot
    - debian/README.Source: notice about upstream source and Gnulib tarball
    - debian/pspp.desktop: drop it as already in upstream
  * Switch to source format 3.0 (quilt)
    - move manual changes to debian/patches/*
    - drop "psppire-data-editor.c" patch as already in upstream
    - drop "lib/gtksheet/gtkitementry.c" patch as no longer needed
    - drop manual changes to config.guess, config.sub
    - ship Debian's gnulib source as supplementary tarball
  * Switch to minimal debhelper 7 rules & cleanup
    - debian/rules:
      - strip everything that's not needed because of debhelper 7
      - convert desktop icon from SVG and ship SVG
      - there's no /usr/share/info/dir anymore
      - no pref.h.orig & src/version.c to take care of
      - switch to default usage of dh_makeshlibs again
      - use smake
      - remove possibly auto-generated info dir file
    - debian/control:
      - add Uploaders
      - remove obsolete build depends on libplot-dev, libglade2-dev
      - new build depends on libxml2-dev, zlib1g-dev, libcairo2-dev,
        libpango1.0-dev, autoconf, automake, m4, pkg-config, gperf, libtool,
        smake, libgtk2.0-bin, libgtksourceview2.0-dev, libpq-dev, postgresql,
        perl, libtext-diff-perl, librsvg2-bin
      - new version dependency for debhelper, gettext, texinfo
      - bump Standards-Version
      - update Description
    - debian/dirs: strip already present dirs
    - debian/docs: merge from rules & add THANKS, OChangeLog, ONEWS
    - debian/info: move info to pspp.info
    - debian/preinst:
      - handle old conffiles like psfonts & devices
      - use old school style for that as dpkg (>= 1.15.7.2) hinders backports
    - debian/pspp.manpages: exclude from rules
    - debian/pspp.doc-base: add information about the GUI
    - debian/watch: strip template stuff for Lintian & other boilerplate text
    - delete debian/README.examples, debian/example.stat & debian/myfile.syn
  * Update debian/copyright
    - new copyright holders and remove old email address
    - new download location
    - update the final paragraph of the license text
  * Ship redone SVG icon until we have a nice upstream one

 -- bojo42 <bojo42@gmail.com>  Wed, 15 Feb 2012 14:15:22 +0100

pspp (0.6.2-4) unstable; urgency=low

  * QA upload.
  * Package has been orphaned, set Debian QA as maintainer.
  * Empty dependency_libs field from la files. Closes: #633285.
  * Rename gtk_entry_reset_im_context to my_gtk_entry_reset_im_context,
    avoiding conflict with the one defined in gtkentry.h. Closes: #621986.

 -- Regis Boudin <regis@debian.org>  Tue, 20 Sep 2011 20:38:25 +0100

pspp (0.6.2-3) unstable; urgency=low

  * doc/pspp.man: Docs are in /usr/share/doc and /usr/share/info (thanks
    to Sergio Gelato <Sergio.Gelato@astro.su.se>, closes:Bug#557633).
    Delete reference to pspp FAQ.

 -- James R. Van Zandt <jrv@debian.org>  Mon, 04 Jan 2010 21:19:13 -0500

pspp (0.6.2-2) unstable; urgency=low

  * debian/rules: only delete /usr/share/info/dir if it exists
    (Closes:Bug#555839)

 -- James R. Van Zandt <jrv@debian.org>  Sun, 15 Nov 2009 17:38:36 -0500

pspp (0.6.2-1) unstable; urgency=low

  * New upstream release (Closes:Bug#552744,Bug#549753,Bug#512038)

  * debian/control: depend on libreadline-dev rather than libreadline5-dev
    (per request of Matthias Klose <doko@cs.tu-berlin.de>,
    Closes:Bug#553829), depend on 'dpkg (>= 1.15.4) | install-info' for
    new info file installation process.  Don't call deprecated
    installation helper dh_desktop.  Bump debhelper compatibility version
    to 7.  Bump debian policy to 3.8.3.

  * debian/rules: don't install /usr/share/info/dir file.  install calls
    dh_prep instead of dh_clean -k.

 -- James R. Van Zandt <jrv@debian.org>  Mon, 09 Nov 2009 17:10:48 -0500

pspp (0.6.1-4) unstable; urgency=low

  * src/ui/gui/psppire-data-editor.c: prevent data sheet from traversing
    into an invalid column, per fix by John Darrington (see
    http://git.savannah.gnu.org/cgit/pspp.git/commit/?h=stable&id=47aaa033c935d0427abd7cbb591a35450eb7db81)(Closes:Bug#516521)

 -- James R. Van Zandt <jrv@debian.org>  Sat, 28 Feb 2009 22:46:51 -0500

pspp (0.6.1-3) unstable; urgency=low

  * debian/pspp.desktop: Correct name of icon file.

 -- James R. Van Zandt <jrv@debian.org>  Sat, 21 Feb 2009 20:54:26 -0500

pspp (0.6.1-2) unstable; urgency=low

  * Install pspp.desktop file (Thanks to "Bojo 42" <bojo42@googlemail.com>)

 -- James R. Van Zandt <jrv@debian.org>  Fri, 20 Feb 2009 20:18:02 -0500

pspp (0.6.1-1) unstable; urgency=low

  * New upstream release (closes:Bug#502856)

  * debian/rules: enable parallel builds

 -- James R. Van Zandt <jrv@debian.org>  Thu, 27 Nov 2008 05:21:50 -0500

pspp (0.6.0-3) unstable; urgency=low

  * debian/psppire.1: psppire was written by John Darrington (thanks to
    Ben Pfaff, Closes:Bug#500639)

 -- James R. Van Zandt <jrv@debian.org>  Tue, 30 Sep 2008 17:43:09 -0400

pspp (0.6.0-2) unstable; urgency=low

  * debian/rules: default to -O2 (some optimization) instead of -O0

 -- James R. Van Zandt <jrv@debian.org>  Mon, 14 Jul 2008 21:29:14 -0400

pspp (0.6.0-1) unstable; urgency=low

  * New upstream release (closes:#451825,#486777)
  * debian/control:  Debian policy version 3.8.0. Add "Homepage" field.
    Add to build-depends: libglade2-dev, libreadline5-dev, libxml2-dev,
    zlib1g-dev.  Build-depends on texlive rather than old tetex-bin.
  * debian/rules: implement DEBIAN_BUILD_OPTIONS value "parallel=n".
    Add to configuration command (per README):  CFLAGS=-fgnu89-inline.
  * debian/copying: now licensed under GPL version 3 or later.
  * debian/menu: add Debian menu support
  * Add simple manpage for psppire.
  * debian/doc-base: update section to agree with menu policy

 -- James R. Van Zandt <jrv@debian.org>  Sun, 13 Jul 2008 21:30:47 -0400

pspp (0.4.0-7) unstable; urgency=low

  * debian/pss.doc-base: HTML documents are in pspp.html/ (closes:#364536)

 -- James R. Van Zandt <jrv@debian.org>  Mon, 24 Apr 2006 21:00:04 -0400

pspp (0.4.0-6) unstable; urgency=low

  * rebuild against libreadline5 (closes: #356799)
  * debian/copyright: update FSF address

 -- James R. Van Zandt <jrv@debian.org>  Fri, 17 Mar 2006 20:42:11 -0500

pspp (0.4.0-5) unstable; urgency=low

  * debian/emacsen-startup: autoload pspp-mode.el, and add it to
    automode-alist for .sps files.

 -- James R. Van Zandt <jrv@debian.org>  Tue,  7 Mar 2006 19:35:26 -0500

pspp (0.4.0-4) unstable; urgency=low

  * debian/control: depend on texinfo (thanks to Roland Stigge
    <stigge@antcom.de>) (closes: #340062)

 -- James R. Van Zandt <jrv@debian.org>  Fri, 25 Nov 2005 21:40:59 -0500

pspp (0.4.0-3) unstable; urgency=low

  * build against libplot2c2

 -- James R. Van Zandt <jrv@debian.org>  Mon, 26 Sep 2005 19:43:59 -0400

pspp (0.4.0-2) unstable; urgency=low

  * added  libgsl0-dev to Build-Depends

 -- James R. Van Zandt <jrv@debian.org>  Sat, 24 Sep 2005 21:38:10 -0400

pspp (0.4.0-1) unstable; urgency=low

  * New upstream release (fixes: Bug#259615,Bug#328545)
  * debian/control: update Debian policy version (no changes needed),
    update program description, add libplot-dev to Build-Depends, bump
    debhelper version to 4.0
  * debian/watch: update format to version 3
  * debian/rules: eliminate support for debian-test, install pspp-mode.el,
    revert to Makefile commands to build .html documentation.  Build and
    install .pdf documentation.  Register .html and .pdf files with
    doc-base.  Eliminate deprecated DH_COMPAT setting.
  * debian/README: eliminate outdated material, add pointers on
    documentation and the Emacs mode.

 -- James R. Van Zandt <jrv@debian.org>  Sat, 24 Sep 2005 09:45:36 -0400

pspp (0.3.0-10) unstable; urgency=low

  * update debian/watch to point to new upstream site

 -- James R. Van Zandt <jrv@debian.org>  Sat, 24 Sep 2005 09:33:02 -0400

pspp (0.3.0-9) unstable; urgency=low

  * src/q2c.c: fix gcc complaint: label at end of compound statement
    (thanks to Andreas Jochens <aj at andaco.de>)(closes:bug#259615)

 -- James R. Van Zandt <jrv@debian.org>  Thu,  5 Aug 2004 21:31:52 -0400

pspp (0.3.0-8) unstable; urgency=low

  * debian/rules: use debhelper, dh_clean deletes src/version.c
    and pref.h but preserves pref.h.orig, set DESTDIR for "make install"
  * Makefile.in: export pkgsysconfdir and DESTDIR
  * doc/pspp.texi: replace old START-INFO-DIR-ENTRY section with
    @dircategory and @direntry sections.
  * doc/texinfo.tex: refresh, to handle @dircategory command
  * config.guess, config.sub: refresh
  * lib/gmp/longlong.h: add explicit newlines, and escape the embedded
    ones (closes:bug#195801)
  * debian/control: update to policy 3.5.7

 -- James R. Van Zandt <jrv@debian.org>  Sun, 15 Jun 2003 10:20:30 -0400

pspp (0.3.0-7) unstable; urgency=low

  * debian/changelog: remove obsolete local variables

 -- James R. Van Zandt <jrv@debian.org>  Sat, 23 Mar 2002 21:38:30 -0500

pspp (0.3.0-6) unstable; urgency=low

  * src/command.c: adjust test to work around name space pollution (fix by
    Ben Pfaff)(closes:bug#99739)
  * new maintainer email

 -- James R. Van Zandt <jrv@debian.org>  Tue,  3 Jul 2001 21:54:08 -0400

pspp (0.3.0-5) unstable; urgency=low

  * debian/control: build-depend on gettext, libncurses5-dev, tetex-bin,
    texi2html (closes:Bug#98712)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Mon, 28 May 2001 21:35:25 -0400

pspp (0.3.0-4) unstable; urgency=low

  * config.guess, config.sub - update to current versions from CVS
    server (thanks to Philip Blundell <philb@gnu.org>) (Closes:Bug#93847)
  * src/groff-font.c(400): reverse last two arguments of call to tmsg
    (Closes:Bug#93168)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sun, 13 May 2001 17:54:08 -0400

pspp (0.3.0-3) unstable; urgency=low

  * debian/control: move Build-Depends line to source section.  Policy
    version 3.5.2.
  * debian/rules: honor DEB_BUILD_OPTIONS. Add "/etc/pspp" to config file
    path.  Support debian-test.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat, 31 Mar 2001 10:31:57 -0500

pspp (0.3.0-2) unstable; urgency=low

  * build-depends on debmake

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sun,  3 Sep 2000 11:45:59 -0400

pspp (0.3.0-1) unstable; urgency=low

  * New upstream release
  * Take "-O2" out of compiler flags, since ascii.c compilation fails.
  * Add Section and Priority fields to package control file.
  * Remove reference to old license file directory.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sun,  9 Jan 2000 20:01:28 -0500

pspp (0.2.3-3) unstable; urgency=low

  * update to version 3.0.0 of the Debian policy (FHS).
  * rebuild with current libraries.  (Closes:bug#40421)
  * debian/copyright: indicate only the download directory, rather
    than the file URL (which changes every version)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sun, 24 Oct 1999 17:43:51 -0400

pspp (0.2.3-2) unstable; urgency=low

  * Include more files in /usr/doc/pspp/examples/.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Wed, 24 Mar 1999 20:16:17 -0500

pspp (0.2.3-1) unstable; urgency=low

  * New upstream release

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Tue,  9 Mar 1999 21:44:17 -0500

pspp (0.2.2-1) frozen unstable; urgency=low

  * New upstream release - bugfixes:
    * Fix behavior of PRINT SPACE for negative arguments.

    * Fix reading some unusual system files.

    * Fix LIST problems with very long variables.  Thanks to Hankin
      <hankin@dunno.com> for this bug report.

    * Fix problems with some string format specifiers.

    * Fix use of $CASENUM in expressions.  Thanks to Dirk Melcher
      <BZN-mdksh@t-online.de> for reporting this bug.

    * Additional DATA LIST FREE and DATA LIST LIST fixes.  Thanks to
      Hankin <hankin@dunno.com> again on this one.

    * Sometimes you may encounter a PSPP script that has to be
      interpreted in interactive mode.  Now you can use the -i flag to
      do this.

    * Warnings for egcs 1.1.1 cleaned up.  (However you'll get lots of
      `unused variable' warnings under gcc 2.7.2.3, fixing this will
      take more effort.)

    * Tests fixed.

    * The files in gmp need the internationalization directory in
      their include path.  Thanks to OKUJI Yoshinori
      <okuji@kuicr.kyoto-u.ac.jp> for pointing this out.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat,  9 Jan 1999 15:43:18 -0500

pspp (0.2.1-3) frozen unstable; urgency=low

  * Recompilation to remove dependency on libc6 2.0.7u

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Wed,  9 Dec 1998 22:06:56 -0500

pspp (0.2.1-2) frozen unstable; urgency=low

  * Upstream release was a bugfix - release for frozen as well as unstable.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sun, 22 Nov 1998 19:21:18 -0500

pspp (0.2.1-1) unstable; urgency=low

  * New upstream release

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Thu, 19 Nov 1998 22:02:48 -0500

pspp (0.2.0-2) frozen unstable; urgency=low

  * Link with libncurses4.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sun,  1 Nov 1998 11:09:39 -0500

pspp (0.2.0-1) unstable; urgency=low

  * New upstream release: documentation and configuration fixes

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat, 24 Oct 1998 04:45:25 -0400

pspp (0.1.23-1) unstable; urgency=low

  * New upstream release: lots more documentation

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sun, 16 Aug 1998 11:48:09 -0400

pspp (0.1.22-1) unstable; urgency=low

  * New upstream release

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Fri,  7 Aug 1998 19:42:53 -0400

pspp (0.1.21-1) unstable; urgency=low

  * Initial Release.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Mon,  3 Aug 1998 20:21:20 -0400
